<?php
require_once 'model/parametro.entidad.php';
require_once 'model/parametro.model.php';
require_once 'model/protocologe.entidad.php';
require_once 'model/protocologe.model.php';
require_once 'model/clientes.model.php';
require_once 'model/clientes.entidad.php';
require_once 'model/personal.entidad.php';
require_once 'model/personal.model.php';
require_once 'model/productogrupoelectrogeno.entidad.php';
require_once 'model/productogrupoelectrogeno.model.php';
require_once 'model/producto.entidad.php';
require_once 'model/producto.model.php';
require_once 'model/proto_aprobados.entidad.php';
require_once 'model/proto_aprobados.model.php';

class ProtocologeController extends helpers {
    private $parametro_model;
    private $protocologe_model;
    private $clientes_model;
    private $personal_model;
    private $producto_model;
    private $productogrupoelectrogeno_model;
    private $proto_aprobados_model;
    public function __CONSTRUCT() {
        $this->parametro_model = new ParametroModel();
        $this->protocologe_model = new protocologeModel();
        $this->clientes_model = new ClientesModel();
        $this->personal_model = new PersonalModel();
        $this->producto_model = new ProductoModel();
        $this->productogrupoelectrogeno_model = new ProductogrupoelectrogenoModel();
        $this->proto_aprobados_model = new Proto_aprobadosModel();
    }
    public function Index() {
        $fechaInicio = isset($_POST['FechaInicio']) ? $_POST['FechaInicio'] : date('d-m-Y', strtotime("-3 month", strtotime(date('d-m-Y'))));
        $fechaFin = isset($_POST['FechaFin']) ? $_POST['FechaFin'] : date('d-m-Y', strtotime("+3 month", strtotime(date('d-m-Y'))));
        
        $parametro = $this->parametro_model->ListarParametros();
        $protologe = $this->protocologe_model->ListaGeneral($fechaInicio, $fechaFin);
        require_once 'view/header.php';  
        require_once 'view/webforms/wfaprotocologe.php';
        echo "<script type='text/javascript'>
                    $(document).ready(function (){
                        $('.operaciones').addClass('active');
                    });
              </script>";
        require_once 'view/footer.php'; 
    }
    public function IndexCliente(){
        
        $fechaInicio = isset($_POST['FechaInicio']) ? $_POST['FechaInicio'] : date('d-m-Y', strtotime("-3 month", strtotime(date('d-m-Y'))));
        $fechaFin = isset($_POST['FechaFin']) ? $_POST['FechaFin'] : date('d-m-Y', strtotime("+3 month", strtotime(date('d-m-Y'))));
        
        $parametro = $this->parametro_model->ListarParametros();
        $protologe = $this->protocologe_model->Listar(0, $fechaInicio, $fechaFin);
        require_once 'view/header.php';  
        require_once 'view/webcliente/wcliprotocologe.php';
        echo "<script type='text/javascript'>
                    $(document).ready(function (){
                        $('.operaciones').addClass('active');
                    });
              </script>";
        require_once 'view/footer.php'; 
    }
    public function FrmGuardar() {
        $clientes = $this->clientes_model->Listar();
        $personal = $this->personal_model->Listar();
        $producto = $this->producto_model->Listar();
        require_once 'view/webforms/wfaprotocologea.php';
    }
    public function AutoGuardar(){        
        
        $protologe = json_decode($_POST["protologe"]);
        $protologe1 = json_decode($_POST["protologe1"]);
        $protologe2 = json_decode($_POST["protologe2"]);
                
        $data = $this->protocologe_model->Buscar($protologe->pro_numero);
        
        if (count($data) > 0 && $_POST['Protocologe_Id'] == 0){
            
            echo '<div class="alert alert-warning alert-dismissible" role="alert">';
            echo '<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>';
            echo '<strong>Warning!</strong> ya se encontro a un protocolo con el mismo numero ' . $protologe->pro_numero . '.' ;
            echo '</div>';
                
        } else {
            
            $id = $this->GuardarProtocologe($_POST['Protocologe_Id'], $protologe);
            $this->GuardarProtocologe1($_POST['Protocologe_Id'], $protologe1);
            $this->GuardarProtocologe2($_POST['Protocologe_Id'], $protologe2);
            $this->protocologe_model->Estado($protologe->pro_numero, 4);
            
            echo '<script type="text/javascript">FrmProtocologe.EditarContentido("'.$id.'");</script>';
            
        }
        
    }
    public function Guardar() {
        
        
        $protologe = json_decode($_POST["protologe"]);
        $protologe1 = json_decode($_POST["protologe1"]);
        $protologe2 = json_decode($_POST["protologe2"]);
                
        $data = $this->protocologe_model->Buscar($protologe->pro_numero);
        if (count($data) > 0 && $_POST['Protocologe_Id'] == 0){
            
            echo '<div class="alert alert-warning alert-dismissible" role="alert">';
            echo '<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>';
            echo '<strong>Warning!</strong> ya se encontro a un protocolo con el mismo numero ' . $protologe->pro_numero . '.' ;
            echo '</div>';
                
        } else {
            
            $this->GuardarProtocologe($_POST['Protocologe_Id'], $protologe);
            $this->GuardarProtocologe1($_POST['Protocologe_Id'], $protologe1);
            $this->GuardarProtocologe2($_POST['Protocologe_Id'], $protologe2);

            $this->protocologe_model->Estado($protologe->pro_numero, 0);
            
            if($_POST["protologe"] > 0){
                
                echo '<div class="alert alert-success alert-dismissible" role="alert">';
                echo '<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>';
                echo '<strong>Exito!</strong> Los datos fueron editados correctamente.';
                echo '</div>';
                            
            } else {
            
                echo '<div class="alert alert-success alert-dismissible" role="alert">';
                echo '<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>';
                echo '<strong>Exito!</strong> Los datos fueron guardados correctamente.';
                echo '</div>';
                            
            }
            
        }
    }
    public function GuardarProtocologe($Protocologe_Id, $protologe){
        $pro = new Protocologe();        
        $pro->__SET('pro_numero', $this->str_uppercase($protologe->pro_numero));
        $pro->__SET('pro_fecha', $this->str_uppercase($protologe->pro_fecha));
        $pro->__SET('pro_cliente', $this->str_uppercase($protologe->pro_cliente));
        $pro->__SET('pro_operador', $this->str_uppercase($protologe->pro_operador));
        $pro->__SET('pro_producto', $this->str_uppercase($protologe->pro_producto));
        $pro->__SET('por_ofnumero', $this->str_uppercase($protologe->por_ofnumero));
        $pro->__SET('pro_aprobado', $this->str_uppercase($protologe->pro_aprobado) == '' ? 'Pendiente' : $this->str_uppercase($protologe->pro_aprobado));
        $pro->__SET('pro_marcamotor', $this->str_uppercase($protologe->pro_marcamotor));
        $pro->__SET('pro_modelomotor', $this->str_uppercase($protologe->pro_modelomotor));
        $pro->__SET('pro_seriemotor', $this->str_uppercase($protologe->pro_seriemotor));
        $pro->__SET('pro_lpmotor', $this->str_uppercase($protologe->pro_lpmotor));
        $pro->__SET('pro_tipomotor', $this->str_uppercase($protologe->pro_tipomotor));
        $pro->__SET('pro_marcaalternador', $this->str_uppercase($protologe->pro_marcaalternador));
        $pro->__SET('pro_modeloalternador', $this->str_uppercase($protologe->pro_modeloalternador));
        $pro->__SET('pro_seriealternador', $this->str_uppercase($protologe->pro_seriealternador));
        $pro->__SET('pro_avralternador', $this->str_uppercase($protologe->pro_avralternador));
        $pro->__SET('pro_serie2alternador', $this->str_uppercase($protologe->pro_serie2alternador));
        $pro->__SET('pro_marcaelectrogeno', $this->str_uppercase($protologe->pro_marcaelectrogeno));
        $pro->__SET('pro_modeloelectrogeno', $this->str_uppercase($protologe->pro_modeloelectrogeno));
        $pro->__SET('pro_serieelectrogeno', $this->str_uppercase($protologe->pro_serieelectrogeno));
        $pro->__SET('pro_kwelectrogeno', $this->str_uppercase($protologe->pro_kwelectrogeno));
        $pro->__SET('pro_voltselectrogeno', $this->str_uppercase($protologe->pro_voltselectrogeno));
        $pro->__SET('pro_ampereselectrogeno', $this->str_uppercase($protologe->pro_ampereselectrogeno));
        $pro->__SET('pro_hzelectrogeno', $this->str_uppercase($protologe->pro_hzelectrogeno));
        $pro->__SET('pro_fpelectrogeno', $this->str_uppercase($protologe->pro_fpelectrogeno));
        $pro->__SET('pro_alturaelectrogeno', $this->str_uppercase($protologe->pro_alturaelectrogeno));
        $pro->__SET('pro_rpmelectrogeno', $this->str_uppercase($protologe->pro_rpmelectrogeno));
        $pro->__SET('pro_faseselectrogeno', $this->str_uppercase($protologe->pro_faseselectrogeno));
        $pro->__SET('pro_lpelectrogeno', $this->str_uppercase($protologe->pro_lpelectrogeno));
        $pro->__SET('pro_servicioelectrogeno', $this->str_uppercase($protologe->pro_servicioelectrogeno));
        $pro->__SET('pro_conexionelectrogeno', $this->str_uppercase($protologe->pro_conexionelectrogeno));
        $pro->__SET('pro_giroelectrogeno', $this->str_uppercase($protologe->pro_giroelectrogeno));
        $pro->__SET('pro_aislamientoelectrogeno', $this->str_uppercase($protologe->pro_aislamientoelectrogeno));
        $pro->__SET('pro_bobinadoelectrogeno', $this->str_uppercase($protologe->pro_bobinadoelectrogeno));
        $Protocologe_Id == 0 ? $this->protocologe_model->Crear($pro) : $this->protocologe_model->Editar($pro);
        return $protologe->pro_numero;
    }
    public function GuardarProtocologe1($Protocologe_Id, $protologe){
        $pro = new Protocologe();
        $pro->__SET('pro_numero', $this->str_uppercase($protologe->pro_numero));
        $pro->__SET('pro_estado1', $this->str_uppercase($protologe->pro_estado1));
        $pro->__SET('pro_estado2', $this->str_uppercase($protologe->pro_estado2));
        $pro->__SET('pro_estado3', $this->str_uppercase($protologe->pro_estado3));
        $pro->__SET('pro_estado4', $this->str_uppercase($protologe->pro_estado4));
        $pro->__SET('pro_estado5', $this->str_uppercase($protologe->pro_estado5));
        $pro->__SET('pro_estado6', $this->str_uppercase($protologe->pro_estado6));
        $pro->__SET('pro_estado7', $this->str_uppercase($protologe->pro_estado7));
        $pro->__SET('pro_estado8', $this->str_uppercase($protologe->pro_estado8));
        $pro->__SET('pro_estado9', $this->str_uppercase($protologe->pro_estado9));
        $pro->__SET('pro_estado10', $this->str_uppercase($protologe->pro_estado10));
        $pro->__SET('pro_estado11', $this->str_uppercase($protologe->pro_estado11));
        $pro->__SET('pro_estado12', $this->str_uppercase($protologe->pro_estado12));
        $pro->__SET('pro_estado13', $this->str_uppercase($protologe->pro_estado13));
        $pro->__SET('pro_estado14', $this->str_uppercase($protologe->pro_estado14));
        $pro->__SET('pro_estado15', $this->str_uppercase($protologe->pro_estado15));
        $pro->__SET('pro_estado16', $this->str_uppercase($protologe->pro_estado16));
        $pro->__SET('pro_estado17', $this->str_uppercase($protologe->pro_estado17));
        $pro->__SET('pro_estado18', $this->str_uppercase($protologe->pro_estado18));
        $pro->__SET('pro_estado19', $this->str_uppercase($protologe->pro_estado19));
        $pro->__SET('pro_estado20', $this->str_uppercase($protologe->pro_estado20));
        $pro->__SET('pro_estado20texto', $this->str_uppercase($protologe->pro_estado20texto));
        $pro->__SET('pro_expansion', $this->str_uppercase($protologe->pro_expansion));
        $pro->__SET('pro_marcaexpancion', $this->str_uppercase($protologe->pro_marcaexpancion));
        $pro->__SET('pro_serieexpancion', $this->str_uppercase($protologe->pro_serieexpancion));
        $pro->__SET('pro_modeloexpansion', $this->str_uppercase($protologe->pro_modeloexpansion));
        $pro->__SET('pro_expansion2', $this->str_uppercase($protologe->pro_expansion2));
        $pro->__SET('pro_marcaexpancion2', $this->str_uppercase($protologe->pro_marcaexpancion2));
        $pro->__SET('pro_serieexpancion2', $this->str_uppercase($protologe->pro_serieexpancion2));
        $pro->__SET('pro_modeloexpansion2', $this->str_uppercase($protologe->pro_modeloexpansion2));
        $pro->__SET('pro_expansion3', $this->str_uppercase($protologe->pro_expansion3));
        $pro->__SET('pro_marcaexpancion3', $this->str_uppercase($protologe->pro_marcaexpancion3));
        $pro->__SET('pro_serieexpancion3', $this->str_uppercase($protologe->pro_serieexpancion3));
        $pro->__SET('pro_modeloexpansion3', $this->str_uppercase($protologe->pro_modeloexpansion3));
        $pro->__SET('pro_marcamodulo', $this->str_uppercase($protologe->pro_marcamodulo));
        $pro->__SET('pro_modelomodulo', $this->str_uppercase($protologe->pro_modelomodulo));
        $pro->__SET('pro_seriemodulo', $this->str_uppercase($protologe->pro_seriemodulo));
        $pro->__SET('pro_marcainterruptor', $this->str_uppercase($protologe->pro_marcainterruptor));
        $pro->__SET('pro_modelointerruptor', $this->str_uppercase($protologe->pro_modelointerruptor));
        $pro->__SET('pro_rangointerruptor', $this->str_uppercase($protologe->pro_rangointerruptor));
        $pro->__SET('pro_transforminterruptor', $this->str_uppercase($protologe->pro_transforminterruptor));
        $pro->__SET('por_gobernacion', $this->str_uppercase($protologe->por_gobernacion));
        $pro->__SET('pro_marcagobernacion', $this->str_uppercase($protologe->pro_marcagobernacion));
        $pro->__SET('pro_seriegobernacion', $this->str_uppercase($protologe->pro_seriegobernacion));
        $pro->__SET('pro_modelogobernacion', $this->str_uppercase($protologe->pro_modelogobernacion));
        $pro->__SET('pro_marcaactuator', $this->str_uppercase($protologe->pro_marcaactuator));
        $pro->__SET('pro_serieactuator', $this->str_uppercase($protologe->pro_serieactuator));
        $pro->__SET('pro_pickupactuator', $this->str_uppercase($protologe->pro_pickupactuator));
        $pro->__SET('pro_bateria', $this->str_uppercase($protologe->pro_bateria));
        $pro->__SET('pro_marcabateria', $this->str_uppercase($protologe->pro_marcabateria));
        $pro->__SET('pro_seriebateria', $this->str_uppercase($protologe->pro_seriebateria));
        $pro->__SET('pro_voltsbateria', $this->str_uppercase($protologe->pro_voltsbateria));
        $pro->__SET('pro_amperesbateria', $this->str_uppercase($protologe->pro_amperesbateria));
        $pro->__SET('pro_autosoportado', $this->str_uppercase($protologe->pro_autosoportado));
        $pro->__SET('pro_transfeautomatica', $this->str_uppercase($protologe->pro_transfeautomatica));
        $pro->__SET('pro_nivelruido', $this->str_uppercase($protologe->pro_nivelruido));
        $pro->__SET('pro_ComMarca', $this->str_uppercase($protologe->pro_ComMarca));
        $pro->__SET('pro_ComModelo', $this->str_uppercase($protologe->pro_ComModelo));
        $pro->__SET('pro_ComSerie', $this->str_uppercase($protologe->pro_ComSerie));
        $pro->__SET('pro_ComMarca2', $this->str_uppercase($protologe->pro_ComMarca2));
        $pro->__SET('pro_ComModelo2', $this->str_uppercase($protologe->pro_ComModelo2));
        $pro->__SET('pro_ComSerie2', $this->str_uppercase($protologe->pro_ComSerie2));
        $Protocologe_Id == 0 ? $this->protocologe_model->Crear1($pro) : $this->protocologe_model->Editar1($pro);
    }
    public function GuardarProtocologe2($Protocologe_Id, $protologe){
        $pro = new Protocologe();
        $pro->__SET('pro_numero', $this->str_uppercase($protologe->pro_numero));
        $pro->__SET('pro_bateriavdc', $this->str_uppercase($protologe->pro_bateriavdc));
        $pro->__SET('pro_presionbar', $this->str_uppercase($protologe->pro_presionbar));
        $pro->__SET('pro_horainicio', $this->str_uppercase($protologe->pro_horainicio));
        $pro->__SET('pro_horafinal', $this->str_uppercase($protologe->pro_horafinal));
        $pro->__SET('pro_vph0', $this->str_uppercase($protologe->pro_vph0));
        $pro->__SET('pro_vph25', $this->str_uppercase($protologe->pro_vph25));
        $pro->__SET('pro_vph50', $this->str_uppercase($protologe->pro_vph50));
        $pro->__SET('pro_vph75', $this->str_uppercase($protologe->pro_vph75));
        $pro->__SET('pro_vph100', $this->str_uppercase($protologe->pro_vph100));
        $pro->__SET('pro_vph110', $this->str_uppercase($protologe->pro_vph110));
        $pro->__SET('pro_a0', $this->str_uppercase($protologe->pro_a0));
        $pro->__SET('pro_a25', $this->str_uppercase($protologe->pro_a25));
        $pro->__SET('pro_a50', $this->str_uppercase($protologe->pro_a50));
        $pro->__SET('pro_a75', $this->str_uppercase($protologe->pro_a75));
        $pro->__SET('pro_a100', $this->str_uppercase($protologe->pro_a100));
        $pro->__SET('pro_a110', $this->str_uppercase($protologe->pro_a110));
        $pro->__SET('pro_kw0', $this->str_uppercase($protologe->pro_kw0));
        $pro->__SET('pro_kw25', $this->str_uppercase($protologe->pro_kw25));
        $pro->__SET('pro_kw50', $this->str_uppercase($protologe->pro_kw50));
        $pro->__SET('pro_kw75', $this->str_uppercase($protologe->pro_kw75));
        $pro->__SET('pro_kw100', $this->str_uppercase($protologe->pro_kw100));
        $pro->__SET('pro_kw110', $this->str_uppercase($protologe->pro_kw110));
        $pro->__SET('pro_hz0', $this->str_uppercase($protologe->pro_hz0));
        $pro->__SET('pro_hz25', $this->str_uppercase($protologe->pro_hz25));
        $pro->__SET('pro_hz50', $this->str_uppercase($protologe->pro_hz50));
        $pro->__SET('pro_hz75', $this->str_uppercase($protologe->pro_hz75));
        $pro->__SET('pro_hz100', $this->str_uppercase($protologe->pro_hz100));
        $pro->__SET('pro_hz110', $this->str_uppercase($protologe->pro_hz110));
        $pro->__SET('pro_rpm0', $this->str_uppercase($protologe->pro_rpm0));
        $pro->__SET('pro_rpm25', $this->str_uppercase($protologe->pro_rpm25));
        $pro->__SET('pro_rpm50', $this->str_uppercase($protologe->pro_rpm50));
        $pro->__SET('pro_rpm75', $this->str_uppercase($protologe->pro_rpm75));
        $pro->__SET('pro_rpm100', $this->str_uppercase($protologe->pro_rpm100));
        $pro->__SET('pro_rpm110', $this->str_uppercase($protologe->pro_rpm110));
        $pro->__SET('pro_presionaceite0', $this->str_uppercase($protologe->pro_presionaceite0));
        $pro->__SET('pro_presionaceite25', $this->str_uppercase($protologe->pro_presionaceite25));
        $pro->__SET('pro_presionaceite50', $this->str_uppercase($protologe->pro_presionaceite50));
        $pro->__SET('pro_presionaceite75', $this->str_uppercase($protologe->pro_presionaceite75));
        $pro->__SET('pro_presionaceite100', $this->str_uppercase($protologe->pro_presionaceite100));
        $pro->__SET('pro_presionaceite110', $this->str_uppercase($protologe->pro_presionaceite110));
        $pro->__SET('pro_tempagua0', $this->str_uppercase($protologe->pro_tempagua0));
        $pro->__SET('pro_tempagua25', $this->str_uppercase($protologe->pro_tempagua25));
        $pro->__SET('pro_tempagua50', $this->str_uppercase($protologe->pro_tempagua50));
        $pro->__SET('pro_tempagua75', $this->str_uppercase($protologe->pro_tempagua75));
        $pro->__SET('pro_tempagua100', $this->str_uppercase($protologe->pro_tempagua100));
        $pro->__SET('pro_tempagua110', $this->str_uppercase($protologe->pro_tempagua110));
        $pro->__SET('pro_presionturbo0', $this->str_uppercase($protologe->pro_presionturbo0));
        $pro->__SET('pro_presionturbo25', $this->str_uppercase($protologe->pro_presionturbo25));
        $pro->__SET('pro_presionturbo50', $this->str_uppercase($protologe->pro_presionturbo50));
        $pro->__SET('pro_presionturbo75', $this->str_uppercase($protologe->pro_presionturbo75));
        $pro->__SET('pro_presionturbo100', $this->str_uppercase($protologe->pro_presionturbo100));
        $pro->__SET('pro_presionturbo110', $this->str_uppercase($protologe->pro_presionturbo110));
        $pro->__SET('pro_consumo0', $this->str_uppercase($protologe->pro_consumo0));
        $pro->__SET('pro_consumo25', $this->str_uppercase($protologe->pro_consumo25));
        $pro->__SET('pro_consumo50', $this->str_uppercase($protologe->pro_consumo50));
        $pro->__SET('pro_consumo75', $this->str_uppercase($protologe->pro_consumo75));
        $pro->__SET('pro_consumo100', $this->str_uppercase($protologe->pro_consumo100));
        $pro->__SET('pro_consumo110', $this->str_uppercase($protologe->pro_consumo110));
        $pro->__SET('pro_tempadm0', $this->str_uppercase($protologe->pro_tempadm0));
        $pro->__SET('pro_tempadm25', $this->str_uppercase($protologe->pro_tempadm25));
        $pro->__SET('pro_tempadm50', $this->str_uppercase($protologe->pro_tempadm50));
        $pro->__SET('pro_tempadm75', $this->str_uppercase($protologe->pro_tempadm75));
        $pro->__SET('pro_tempadm100', $this->str_uppercase($protologe->pro_tempadm100));
        $pro->__SET('pro_tempadm110', $this->str_uppercase($protologe->pro_tempadm110));
        $pro->__SET('pro_tempaceite0', $this->str_uppercase($protologe->pro_tempaceite0));
        $pro->__SET('pro_tempaceite25', $this->str_uppercase($protologe->pro_tempaceite25));
        $pro->__SET('pro_tempaceite50', $this->str_uppercase($protologe->pro_tempaceite50));
        $pro->__SET('pro_tempaceite75', $this->str_uppercase($protologe->pro_tempaceite75));
        $pro->__SET('pro_tempaceite100', $this->str_uppercase($protologe->pro_tempaceite100));
        $pro->__SET('pro_tempaceite110', $this->str_uppercase($protologe->pro_tempaceite110));
        $pro->__SET('pro_tiempoprueba0', $this->str_uppercase($protologe->pro_tiempoprueba0));
        $pro->__SET('pro_tiempoprueba25', $this->str_uppercase($protologe->pro_tiempoprueba25));
        $pro->__SET('pro_tiempoprueba50', $this->str_uppercase($protologe->pro_tiempoprueba50));
        $pro->__SET('pro_tiempoprueba75', $this->str_uppercase($protologe->pro_tiempoprueba75));
        $pro->__SET('pro_tiempoprueba100', $this->str_uppercase($protologe->pro_tiempoprueba100));
        $pro->__SET('pro_tiempoprueba110', $this->str_uppercase($protologe->pro_tiempoprueba110));
        $pro->__SET('pro_cartilla1', $this->str_uppercase($protologe->pro_cartilla1));
        $pro->__SET('pro_cartilla2', $this->str_uppercase($protologe->pro_cartilla2));
        $pro->__SET('pro_cartilla3', $this->str_uppercase($protologe->pro_cartilla3));
        $pro->__SET('pro_cartilla4', $this->str_uppercase($protologe->pro_cartilla4));
        $pro->__SET('pro_observacion1', '');
        $pro->__SET('pro_observacion2', '');
        $pro->__SET('pro_observacion3', '');
        $pro->__SET('pro_observacion4', '');
        $Protocologe_Id == 0 ? $this->protocologe_model->Crear2($pro) : $this->protocologe_model->Editar2($pro);
    }
    public function EliminarProtocologe() {
         $pro = new Protocologe();
         $pro->__SET('pro_numero', $_POST['pro_num_eli']);
         $this->protocologe_model->Eliminar($pro);
         echo '<script type="text/javascript">window.location="?c=Protocologe&a=Index";</script>';
    }
    public function ViewData(){
        require_once 'view/webforms/wfaprotocologei.php';        
    }

    public function BuscarProtocologe(){
        
        print_r(json_encode($this->protocologe_model->Buscar($_POST['pro_num']), JSON_PRETTY_PRINT));
        
    }
    
    public function PDF(){
        
        $datos = $this->protocologe_model->Buscar($_GET['pro_num']);
        require_once 'view/webforms/PDF/protocologe.php';
        
    }
    public function isUsuarioExit($Personal_Id){
        
        $personal = $this->personal_model->Listar();
        
        foreach ($personal as $row){
            if($row->__GET("Personal_Id") == $Personal_Id)
                return true;
        }
        return false;
        
    }
    public function AprobarProtocologe(){
        $apro = new Proto_aprobados();
        $apro->__set('Protocologe_Id', $_POST['protocologe_Id_eli']);
        $apro->__set('Usuario_Id', $_SESSION['usu_codigo']);
        $this->proto_aprobados_model->Aprobar($apro);
        echo '<script type="text/javascript">window.location="?c=Protocologe&a=Index";</script>';
    }
    public function EstadoProtocologe($estado){
        switch ($estado) {
            case 0:
                return '<label class="label label-warning">Pendiente</label>';
                break;
            case 1:
                return '<label class="label label-success">Aprobado</label>';
                break;
            case 2:
                return '<label class="label label-primary">Reaperturado</label>';
                break;
            case 4:
                return '<label class="label label-warning" style="background: #b70bc2 !important;">Auto Guardado</label>';
                break;
        }
    }
    public function NoConexion(){
        
        
        $datos_protocologe = file_get_contents("protocologe.json");
        $json_protocologe = json_decode($datos_protocologe, true);
        
        if(count($json_protocologe) > 0){
       
            $protologe = json_decode($_POST["protologe"]);
            $protologe1 = json_decode($_POST["protologe1"]);
            $protologe2 = json_decode($_POST["protologe2"]);
        
            $arr_protocologe = array("protocologe" => array($protologe, $protologe1, $protologe2));
            array_push($json_protocologe, $arr_protocologe);
//
//          //Creamos el JSON
            $json_string = json_encode($json_protocologe);
            $file = 'protocologe.json';
            file_put_contents($file, $json_string);
            
        } else {
            
            $protologe = json_decode($_POST["protologe"]);
            $protologe1 = json_decode($_POST["protologe1"]);
            $protologe2 = json_decode($_POST["protologe2"]);
        
            $arr_protocologe[] = array("protocologe" => array($protologe, $protologe1, $protologe2));
            
            //Creamos el JSON            
            $json_string = json_encode($arr_protocologe);
            $file = 'protocologe.json';
            file_put_contents($file, $json_string);
            
        }
    }
}
?>
